unit txsetsub;

interface

uses uss;

procedure LOG_CTL(txSessionName, txDatabaseName:String; inComm: TTinComm;outComm: TToutComm);

implementation

uses i_ebss, i_SYSCJNL1;

procedure LOG_CTL(txSessionName, txDatabaseName:String; inComm: TTinComm;outComm: TToutComm);
var
   syscjnl1: _SYSCJNL1;
begin
   try
      syscjnl1 := _SYSCJNL1.Create;

      syscjnl1.Insert(
                      txSessionName, txDatabaseName,
                      VarArrayOf([
                               inComm.TITRXD,
                          ''''+inComm.TITRXSQNO+'''',
                          ''''+inComm.TITELLER+'''',
                          ''''+inComm.TIZONENO+'''',
                          ''''+inComm.TIBRANCH+'''',
                          ''''+inComm.TISTATUS+'''',
                          ''''+inComm.TIRANK+'''',
                          ''''+inComm.TISYSDATE+'''',
                          ''''+outComm.TOOVERID+'''',
                          ''''+outComm.TOSTATEMENT+'''',
                          ''''+outComm.TOFIELD00+'''',
                          ''''+outComm.TOFIELD01+'''',
                          ''''+outComm.TOFIELD02+'''',
                          ''''+outComm.TOFIELD03+'''',
                          ''''+outComm.TOFIELD04+''''
                                 ])
                     );

      syscjnl1.Free;
   except
      Raise;
   end;
end;

end.
